diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 4a05811cec2adcd1972f9b25fd00a763e286994b..636e1d4dd56ad191b67b05e12de26eff2ab8399b 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -10,4 +10,4 @@ cellframe-dashboard-schedule:
     stage: build
     tags:
     - cellframe-dashboard
-    script: ~/production/integration/gitlab-CI/build_all_handler.sh cellframe-dashboard && ~/production/integration/reprepro/publish.sh debian.pub.demlabs.net stretch main
+    script: ~/production/integration/gitlab-CI/build_all_handler.sh cellframe-dashboard
diff --git a/prod_build/general/chroot_wrap.sh b/prod_build/general/chroot_wrap.sh
index 2db2537fbdf0001fc93f6b4f6d11349501a5855d..b0b57472ade60cb7a9c6e0ae02471bee67b5063d 100755
--- a/prod_build/general/chroot_wrap.sh
+++ b/prod_build/general/chroot_wrap.sh
@@ -1,34 +1,37 @@
 #!/bin/bash
 
-export_variables() {
 
-IFS=$'\n'
-for variable in $(cat prod_build/$platform/conf/*); do
-	[ -z $1 ] && export $(echo "$variable" | sed 's/\"//g') || export -n $(echo $variable | cut -d '=' -f1)
-done
-
-}
 
+PLATFORM_CANDIDATES=$2
 CHROOT_PREFIX="builder"
 CHROOTS_PATH=$1
-PLATFORMS=$2
+PLATFORMS=""
 PKG_FORMAT=$3
 SRC_PATH=$4
 JOB=$5
 
 cd $SRC_PATH
 echo "workdir is $(pwd)"
+. prod_build/general/pre-build.sh
+export_variables "./prod_build/general/conf/*"
+
+IFS=' '
+echo "$PLATFORM_CANDIDATES"
+echo $IMPLEMENTED
+for platform in $PLATFORM_CANDIDATES; do
+	[[ $(echo $IMPLEMENTED | grep $platform) != "" ]] && PLATFORMS="$PLATFORMS$platform " || echo "Platform $platform is not implemented in this project yet. Sorry"
+done
 echo "Platforms are $PLATFORMS"
 
-
 for platform in $PLATFORMS; do
-	export_variables
+	echo "Working with $platform now"
+	export_variables "./prod_build/$platform/conf/*"
 	IFS=' '
 	PKG_TYPE=$(echo $PKG_FORMAT | cut -d ' ' -f1)
 	#Check if chroots are present
 	echo $HOST_DISTR_VERSIONS
 	echo $HOST_ARCH_VERSIONS
-	[ -e prod_build/$platform/scripts/pre-build.sh ] && prod_build/$platform/scripts/pre-build.sh $CHROOT_PREFIX #For actions before build not in chroot and in chroot (version update, install missing dependencies(under schroot))
+	[ -e prod_build/$platform/scripts/pre-build.sh ] && prod_build/$platform/scripts/pre-build.sh $CHROOT_PREFIX || exit $? #For actions before build not in chroot and in chroot (version update, install missing dependencies(under schroot))
 	for distr in $HOST_DISTR_VERSIONS; do
 		for arch in $HOST_ARCH_VERSIONS; do
 			if [ -e $CHROOTS_PATH/$CHROOT_PREFIX-$distr-$arch ]; then
@@ -42,7 +45,7 @@ for platform in $PLATFORMS; do
 	echo "workdir before postinstall is $(pwd)"
 	[ -e prod_build/$platform/scripts/post-build.sh ] && prod_build/$platform/scripts/post-build.sh #For post-build actions not in chroot (global publish)
 	PKG_FORMAT=$(echo $PKG_FORMAT | cut -d ' ' -f2-)
-#	export_variables clean
+	unexport_variables "./prod_build/$platform/conf/*"
 done
 #[ $(mount | grep "/run/schroot/mount") ] && sudo umount -l /run/schroot/mount && sudo rm -r /run/schroot/mount/* #Removing mountpoint odds.
 
diff --git a/prod_build/general/conf/status b/prod_build/general/conf/status
new file mode 100644
index 0000000000000000000000000000000000000000..ec51dbab4d9aec34b4975de26716109730b30df6
--- /dev/null
+++ b/prod_build/general/conf/status
@@ -0,0 +1 @@
+IMPLEMENTED="linux/debian"
diff --git a/prod_build/linux/debian/scripts/pre-build.sh b/prod_build/linux/debian/scripts/pre-build.sh
index 85838ce275a1fce3020db04ba05abb9a603219f1..cf9b041a8f17e206ccebac1e5630e21fdad27fcf 100755
--- a/prod_build/linux/debian/scripts/pre-build.sh
+++ b/prod_build/linux/debian/scripts/pre-build.sh
@@ -75,11 +75,9 @@ install_dependencies() {
 export_variables "prod_build/general/conf/*"
 export_variables "prod_build/linux/debian/conf/*"
 
-echo "Trap N 1"
 VERSION_STRING=$(echo $VERSION_FORMAT | sed "s/\"//g" ) #Removing quotes
 VERSION_ENTRIES=$(echo $VERSION_ENTRIES | sed "s/\"//g" )
 VERSION_STRING=$(extract_version_number)
-echo "TRAP N 2"
 last_version_string=$(cat prod_build/linux/debian/essentials/changelog | head -n 1 | cut -d '(' -f2 | cut -d ')' -f1)
 
 
@@ -122,8 +120,9 @@ CHROOT_PREFIX=$1
 for distr in $HOST_DISTR_VERSIONS; do #we need to install required dependencies under schroot.
 	for arch in $HOST_ARCH_VERSIONS; do
 		echo "$CHROOT_PREFIX-$distr-$arch"
-		schroot -c $CHROOT_PREFIX-$distr-$arch -- prod_build/linux/debian/scripts/chroot/pre-build.sh "$PKG_DEPS"
+		schroot -c $CHROOT_PREFIX-$distr-$arch -- prod_build/linux/debian/scripts/chroot/pre-build.sh "$PKG_DEPS" || errcode=$?
+		[[ $errcode != 0 ]] && echo "There are problems with $CHROOT_PREFIX-$distr-$arch. You had installed it, right?"
 	done
 done
-
+exit 0
 ## Maybe we do have the version required? Then we don't need to build it again. CHECK IT THERE!